### Method

# AppStream Branding remove_color

since: 0.15.2

#### Declaration [src]

    void
    as_branding_remove_color (
      AsBranding* branding,
      AsColorKind kind,
      AsColorSchemeKind scheme_preference
    )

#### Description [src]

Deletes a color that matches the given type and scheme preference.

Available since: 0.15.2

#### Parameters

`kind`

  Type: `AsColorKind`

  The `AsColorKind`, e.g. `AS_COLOR_KIND_PRIMARY`.

`scheme_preference`

  Type: `AsColorSchemeKind`

  Type of color scheme preferred for this color, e.g. `AS_COLOR_SCHEME_KIND_LIGHT`.